<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:25 CEST 2019 -->
<title>FbExceptionBuilder (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FbExceptionBuilder (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":9,"i3":9,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/FbDatabaseFactory.html" title="interface in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/FbImmutableConnectionProperties.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/FbExceptionBuilder.html" target="_top">Frames</a></li>
<li><a href="FbExceptionBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng</div>
<h2 title="Class FbExceptionBuilder" class="title">Class FbExceptionBuilder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.FbExceptionBuilder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">FbExceptionBuilder</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Builder for exceptions received from Firebird.
 <p>
 This class is not thread-safe.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#FbExceptionBuilder--">FbExceptionBuilder</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#cause-java.lang.Throwable-">cause</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a>&nbsp;cause)</code>
<div class="block">Sets the cause of the current exception.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#exception-int-">exception</a></span>(int&nbsp;errorCode)</code>
<div class="block">The (next) exception is an exception.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#forException-int-">forException</a></span>(int&nbsp;errorCode)</code>
<div class="block">Creates an exception builder with the specified error code.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#forWarning-int-">forWarning</a></span>(int&nbsp;errorCode)</code>
<div class="block">Creates an exception builder for a warning with the specified error code.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#isEmpty--">isEmpty</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#messageParameter-int-">messageParameter</a></span>(int&nbsp;parameter)</code>
<div class="block">Adds an integer message parameter for the exception message.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#messageParameter-java.lang.String-">messageParameter</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;parameter)</code>
<div class="block">Adds a string message parameter for the exception message.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#nonTransientConnectionException-int-">nonTransientConnectionException</a></span>(int&nbsp;errorCode)</code>
<div class="block">Force the next exception to be a <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLNonTransientConnectionException.html?is-external=true" title="class or interface in java.sql"><code>SQLNonTransientConnectionException</code></a>.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#nonTransientException-int-">nonTransientException</a></span>(int&nbsp;errorCode)</code>
<div class="block">Force the next exception to be a <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLNonTransientException.html?is-external=true" title="class or interface in java.sql"><code>SQLNonTransientException</code></a>.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#sqlState-java.lang.String-">sqlState</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sqlState)</code>
<div class="block">Sets the SQL state.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#timeoutException-int-">timeoutException</a></span>(int&nbsp;errorCode)</code>
<div class="block">Force the next exception to be a <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLTimeoutException.html?is-external=true" title="class or interface in java.sql"><code>SQLTimeoutException</code></a>.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#toFlatSQLException--">toFlatSQLException</a></span>()</code>
<div class="block">Converts the builder to a single SQLException instance with a single exception message.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>&gt;<br>T</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#toFlatSQLException-java.lang.Class-">toFlatSQLException</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;type)</code>
<div class="block">Converts the builder to the appropriate SQLException instance and casts to the specified type T.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#toSQLException--">toSQLException</a></span>()</code>
<div class="block">Converts the builder to the appropriate SQLException instance (optionally with a chain of additional
 exceptions).</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>&gt;<br>T</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#toSQLException-java.lang.Class-">toSQLException</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;type)</code>
<div class="block">Converts the builder to the appropriate SQLException instance (optionally with a chain of additional
 exceptions) and casts to the specified type T.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#warning-int-">warning</a></span>(int&nbsp;errorCode)</code>
<div class="block">The (next) exception is a warning.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FbExceptionBuilder--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FbExceptionBuilder</h4>
<pre>public&nbsp;FbExceptionBuilder()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="exception-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exception</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a>&nbsp;exception(int&nbsp;errorCode)</pre>
<div class="block">The (next) exception is an exception.
 <p>
 This method and related methods can be called multiple times. This
 builder might produce a chained exception, but could also merge exceptions
 depending on the error code and other rules internal to this builder.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>errorCode</code> - The Firebird error code</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this FbExceptionBuilder</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#warning-int-"><code>warning(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="forException-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>forException</h4>
<pre>public static&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a>&nbsp;forException(int&nbsp;errorCode)</pre>
<div class="block">Creates an exception builder with the specified error code.
 <p>
 Equivalent to calling: <code>new FbExceptionBuilder().error(errorCode); </code>
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>errorCode</code> - The Firebird error code</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FbExceptionBuilder initialized with the specified error code</dd>
</dl>
</li>
</ul>
<a name="forWarning-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>forWarning</h4>
<pre>public static&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a>&nbsp;forWarning(int&nbsp;errorCode)</pre>
<div class="block">Creates an exception builder for a warning with the specified error code.
 <p>
 Equivalent to calling: <code>new FbExceptionBuilder().warning(errorCode); </code>
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>errorCode</code> - The Firebird error code</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FbExceptionBuilder initialized with the specified error code</dd>
</dl>
</li>
</ul>
<a name="warning-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>warning</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a>&nbsp;warning(int&nbsp;errorCode)</pre>
<div class="block">The (next) exception is a warning.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>errorCode</code> - The Firebird error code</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this FbExceptionBuilder</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#exception-int-"><code>exception(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="timeoutException-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>timeoutException</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a>&nbsp;timeoutException(int&nbsp;errorCode)</pre>
<div class="block">Force the next exception to be a <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLTimeoutException.html?is-external=true" title="class or interface in java.sql"><code>SQLTimeoutException</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>errorCode</code> - The Firebird error code</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this FbExceptionBuilder</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#exception-int-"><code>exception(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="nonTransientException-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nonTransientException</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a>&nbsp;nonTransientException(int&nbsp;errorCode)</pre>
<div class="block">Force the next exception to be a <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLNonTransientException.html?is-external=true" title="class or interface in java.sql"><code>SQLNonTransientException</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>errorCode</code> - The Firebird error code</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this FbExceptionBuilder</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#exception-int-"><code>exception(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="nonTransientConnectionException-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nonTransientConnectionException</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a>&nbsp;nonTransientConnectionException(int&nbsp;errorCode)</pre>
<div class="block">Force the next exception to be a <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLNonTransientConnectionException.html?is-external=true" title="class or interface in java.sql"><code>SQLNonTransientConnectionException</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>errorCode</code> - The Firebird error code</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this FbExceptionBuilder</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#exception-int-"><code>exception(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="messageParameter-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>messageParameter</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a>&nbsp;messageParameter(int&nbsp;parameter)</pre>
<div class="block">Adds an integer message parameter for the exception message.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parameter</code> - Message parameter</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this FbExceptionBuilder</dd>
</dl>
</li>
</ul>
<a name="messageParameter-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>messageParameter</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a>&nbsp;messageParameter(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;parameter)</pre>
<div class="block">Adds a string message parameter for the exception message.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parameter</code> - Message parameter</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this FbExceptionBuilder</dd>
</dl>
</li>
</ul>
<a name="sqlState-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sqlState</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a>&nbsp;sqlState(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sqlState)</pre>
<div class="block">Sets the SQL state. Overriding the value derived from the Firebird error code.
 <p>
 SQL State is usually derived from the errorCode. Use of this
 method is optional.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sqlState</code> - SQL State value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this FbExceptionBuilder</dd>
</dl>
</li>
</ul>
<a name="cause-java.lang.Throwable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cause</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a>&nbsp;cause(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a>&nbsp;cause)</pre>
<div class="block">Sets the cause of the current exception.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cause</code> - Throwable with the cause</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this FbExceptionBuilder</dd>
</dl>
</li>
</ul>
<a name="toSQLException--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toSQLException</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>&nbsp;toSQLException()</pre>
<div class="block">Converts the builder to the appropriate SQLException instance (optionally with a chain of additional
 exceptions).
 <p>
 When returning exception information from the status vector, it is advisable to use <a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#toFlatSQLException--"><code>toFlatSQLException()</code></a>
 as this applies some heuristics to get more specific error codes and flattens the message into a single
 exception.
 </p>
 <p>
 If <a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#isEmpty--"><code>isEmpty()</code></a> returns <code>false</code>, then this will throw an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang"><code>IllegalStateException</code></a>.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>SQLException object</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#toFlatSQLException--"><code>toFlatSQLException()</code></a></dd>
</dl>
</li>
</ul>
<a name="toFlatSQLException--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toFlatSQLException</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>&nbsp;toFlatSQLException()</pre>
<div class="block">Converts the builder to a single SQLException instance with a single exception message.
 <p>
 This method attempts to assign the most specific error code and SQL state to the returned exception.
 </p>
 <p>
 The cause of the returned exception is set to an instance of <a href="../../../../org/firebirdsql/jdbc/FBSQLExceptionInfo.html" title="class in org.firebirdsql.jdbc"><code>FBSQLExceptionInfo</code></a>
 which contains the separate items obtained from the status vector. These items are chained together using
 the SQLException chain.
 </p>
 <p>
 If <a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#isEmpty--"><code>isEmpty()</code></a> returns <code>false</code>, then this will throw an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang"><code>IllegalStateException</code></a>.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>SQLException object</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/firebirdsql/jdbc/FBSQLExceptionInfo.html" title="class in org.firebirdsql.jdbc"><code>FBSQLExceptionInfo</code></a></dd>
</dl>
</li>
</ul>
<a name="toSQLException-java.lang.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toSQLException</h4>
<pre>public&nbsp;&lt;T extends <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>&gt;&nbsp;T&nbsp;toSQLException(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;type)
                                          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/ClassCastException.html?is-external=true" title="class or interface in java.lang">ClassCastException</a></pre>
<div class="block">Converts the builder to the appropriate SQLException instance (optionally with a chain of additional
 exceptions) and casts to the specified type T.</div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - Expected exception type</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - Class of type T</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>SQLException of type T</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/ClassCastException.html?is-external=true" title="class or interface in java.lang">ClassCastException</a></code> - If the first exception created with this builder is not of the specified type</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#toSQLException--"><code>toSQLException()</code></a></dd>
</dl>
</li>
</ul>
<a name="toFlatSQLException-java.lang.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toFlatSQLException</h4>
<pre>public&nbsp;&lt;T extends <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>&gt;&nbsp;T&nbsp;toFlatSQLException(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;type)
                                              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/ClassCastException.html?is-external=true" title="class or interface in java.lang">ClassCastException</a></pre>
<div class="block">Converts the builder to the appropriate SQLException instance and casts to the specified type T.</div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - Expected exception type</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - Class of type T</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>SQLException of type T</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/ClassCastException.html?is-external=true" title="class or interface in java.lang">ClassCastException</a></code> - If the first exception created with this builder is not of the specified type</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html#toFlatSQLException--"><code>toFlatSQLException()</code></a></dd>
</dl>
</li>
</ul>
<a name="isEmpty--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre>public&nbsp;boolean&nbsp;isEmpty()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if this builder contains exception information, <code>false</code> otherwise</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/FbDatabaseFactory.html" title="interface in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/FbImmutableConnectionProperties.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/FbExceptionBuilder.html" target="_top">Frames</a></li>
<li><a href="FbExceptionBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
